Puppet::Type.newtype(:gconf) do
	@doc = "Manages Gconf configuration of default and mandatory settings in the System"
	   
	feature :setable, "The Provider can Set the appropriated value",
	:methods => [:setvalue]
		
	newparam(:path) do
        desc "The Path of the Gconf Setting to manage"
        isnamevar
   end
   
   newparam(:type) do
   	desc "The Type of the Setting"
   	newvalues(:string,:integer,:boolean)
   end

   newparam(:gmode) do
     desc "The Configuration Type"
     newvalues(:mandatory,:default)
   end



   newparam(:content) do
   	desc "The Content of the Configuration Item"
   end

   newparam(:gconf_mandatory_source) do
        desc "The Mandatory-XML File Location"
        defaultto "/etc/gconf/gconf.xml.mandatory"
   end
   newparam(:gconf_default_source) do
        desc "The Default-XML File Location"
        defaultto "/etc/gconf/gconf.xml.defaults"
   end

   ensurable do
   newvalue(:present,:event => :gconf_present) do
	provider.setvalue()
   end
   
   newvalue(:absent,:event => :gconf_absent) do
    end

   defaultto :present
 end
 
 def exists?
	@provider.getvalue()
 end
 	
end
